Skip to main content
Interfaces / Angle Finance

Submit loan application via Angle Finance API interface

Submit a new loan application with Angle Finance.

POST
/gb/interface/angle-finance/loan-application

Angle Finance is a non-bank lender with an approval turnaround time of just 2-3 hours on average.

This method requires the InterfaceAngleFinance:LoanApplication permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$
Delegated-Locking-Session-Idstringheader

(Optional) Locking responsibility will be delegated to the specified Session Id.

This header enables the client to instruct the API to merely verify the presence of locks with the specified session id, but not attempt to obtain them itself. It requires the DelegatedLocking permission to be associated with your role.

Maximum string length: 32
Pattern: ^[0-9a-f]{32}
Time-Zonestringheaderdefault:UTC

Loan application will be processed in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

application/x-www-form-urlencoded
quote_idstringrequired

Quote Id (Catch-e)

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

application_datestring
application_errorsobject[]
application_referencestring
Example: 12345678
application_request_statusstring

The application request status returned by Angle Finance

Example: Success
application_status_flagenum<string>

The Catch-e abstracted application status flag

Available options: successful, failed, resubmit
quote_idstring